aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThierry Vignaud <tvignaud@mandriva.org>2002-11-05 14:20:59 +0000
committerThierry Vignaud <tvignaud@mandriva.org>2002-11-05 14:20:59 +0000
commit245d387c737ba4be367c08c022a39efe513f2059 (patch)
treef632104981dde3ea6640675129ade6bfb821859a
parent79f22f5863191a94c22dccf708f814d09f541540 (diff)
downloadrpm-helper-245d387c737ba4be367c08c022a39efe513f2059.tar
rpm-helper-245d387c737ba4be367c08c022a39efe513f2059.tar.gz
rpm-helper-245d387c737ba4be367c08c022a39efe513f2059.tar.bz2
rpm-helper-245d387c737ba4be367c08c022a39efe513f2059.tar.xz
rpm-helper-245d387c737ba4be367c08c022a39efe513f2059.zip
add verify-shell
-rw-r--r--Makefile2
-rwxr-xr-xadd-shell8
-rwxr-xr-xdel-shell1
-rw-r--r--rpm-helper.spec5
-rwxr-xr-xverify-shell31
5 files changed, 40 insertions, 7 deletions
diff --git a/Makefile b/Makefile
index a0d4a38..6433b58 100644
--- a/Makefile
+++ b/Makefile
@@ -15,7 +15,7 @@ TAG := $(shell echo "V$(VERSION)_$(RELEASE)" | tr -- '-.' '__')
FILES = AUTHORS README README.CVS COPYING ChangeLog Makefile \
$(PACKAGE).spec $(SCRIPTS)
SCRIPTS = add-user del-user add-service del-service create-file \
- add-group del-group add-shell del-shell
+ add-group del-group add-shell del-shell verify-shell
LIBDIR=/usr/share/rpm-helper
diff --git a/add-shell b/add-shell
index cd8ecb0..ea60c91 100755
--- a/add-shell
+++ b/add-shell
@@ -7,7 +7,7 @@
# Author : Thierry Vignaud
# Created On : Tue Nov 5 13:52:20 2002
# Purpose : helper script for rpm scriptlets to add a
-# shell from $CFG_FILE.
+# shell from /etc/shells
#---------------------------------------------------------------
if [ $# != 3 ]; then
@@ -26,7 +26,5 @@ if [ ! -f $CFG_FILE ]; then
> $CFG_FILE
fi
-if [ $num = 1 ]; then
- grep -v "^$shl$" && echo $shl >> $CFG_FILE
-fi
-
+grep -qv "^$shl$" $CFG_FILE && echo $shl >> $CFG_FILE
+exit 0 \ No newline at end of file
diff --git a/del-shell b/del-shell
index fa1d4b2..ab9aff7 100755
--- a/del-shell
+++ b/del-shell
@@ -34,3 +34,4 @@ if [ "$num" = 0 ]; then
fi
fi
+exit 0 \ No newline at end of file
diff --git a/rpm-helper.spec b/rpm-helper.spec
index cca2928..a426d0c 100644
--- a/rpm-helper.spec
+++ b/rpm-helper.spec
@@ -10,7 +10,7 @@
Summary: Helper scripts for rpm scriptlets
Name: rpm-helper
-Version: 0.7
+Version: 0.7.1
Release: 1mdk
Source0: %name-%version.tar.bz2
License: GPL
@@ -46,6 +46,9 @@ rm -rf $RPM_BUILD_ROOT
%_datadir/%name
%changelog
+* Tue Nov 5 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.1-1mdk
+- add verify-shell
+
* Tue Nov 5 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7-1mdk
- add add-shell and del-shell to update /etc/shells
diff --git a/verify-shell b/verify-shell
new file mode 100755
index 0000000..2b03221
--- /dev/null
+++ b/verify-shell
@@ -0,0 +1,31 @@
+#!/bin/sh
+#---------------------------------------------------------------
+# Project : Mandrake Linux
+# Module : rpm-helper
+# File : add-shell
+# Version : $Id$
+# Author : Thierry Vignaud
+# Created On : Tue Nov 5 13:52:20 2002
+# Purpose : helper script for rpm scriptlets to check a
+# shell is in /etc/shells
+#---------------------------------------------------------------
+
+if [ $# != 3 ]; then
+ echo "usage: $0 <pkg name> <number installed> <shell name>" 1>&2
+ exit 1
+fi
+
+pkg=$1 # name of the package
+num=$2 # number of packages installed
+shl=$3 # name of the shell
+
+CFG_FILE=/etc/shells
+
+
+echo -n "Looking for $shl in /etc/shells... "
+if ! grep "^/bin/${shl}\$" /etc/shells > /dev/null; then
+ echo "missing"
+ echo "${shl} missing from /etc/shells" >&2
+else
+ echo "found"
+fi \ No newline at end of file